Get portfolio details
curl --request GET \
--url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/detail \
--header 'CB-ACCESS-KEY: <api-key>' \
--header 'CB-ACCESS-PASSPHRASE: <api-key>' \
--header 'CB-ACCESS-SIGN: <api-key>' \
--header 'CB-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/detail"
headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"collateral": 14750.53,
"unrealized_pnl": 2953.01,
"unrealized_pnl_percent": 0,
"position_notional": 1050.32,
"open_position_notional": 3010.02,
"pending_fees": 120.31,
"borrow": 4111.32,
"accrued_interest": 10.02,
"rolling_debt": 311.02,
"balance": 15751.6,
"buying_power": 14964.02,
"portfolio_initial_margin": 0.05,
"portfolio_current_margin": 0.05,
"portfolio_maintenance_margin": 0.033,
"portfolio_close_out_margin": 0.01665,
"in_liquidation": true,
"portfolio_initial_margin_notional": 1571.5345,
"portfolio_current_margin_notional": 1571.5345,
"portfolio_maintenance_margin_notional": 1023.3081,
"portfolio_close_out_margin_notional": 482.6651,
"margin_override": 0.2,
"lock_up_initial_margin": 0.3,
"loan_collateral_requirement": 0,
"position_offset_notional": 3010.02
},
"balances": [
{
"asset_id": "14thr7fc-1-1",
"asset_name": "BTC",
"asset_uuid": "d92669ba-8a04-46d8-9b28-a2bbaeee3b9a",
"quantity": 1.75,
"hold": 0.5,
"hold_available_for_collateral": 0.5,
"transfer_hold": 0.25,
"collateral_value": 0.9,
"max_withdraw_amount": 0.9,
"loan": 1,
"loan_collateral_requirement": 0,
"pledged_collateral_quantity": 0.5,
"loan_initial_margin_contribution": 0.07,
"collateral_backed_overdraft_loan": 100.5,
"user_requested_loan": 548.5,
"unreconciled_amount": 10.5,
"max_undelegate_amount": 15
}
],
"positions": [
{
"id": "1tvrktwe-1-457",
"uuid": "9ab3d012-77ef-4c1a-bf2e-11234567cd89",
"symbol": "BTC-PERP",
"instrument_id": "14thr7ft-1-0",
"instrument_uuid": "8ca6c040-48df-426b-bb4e-74413909da26",
"vwap": 31011.75,
"net_size": 1.75,
"buy_order_size": 2.65,
"sell_order_size": 1.2,
"initial_margin": 0.05,
"im_contribution": 0.07,
"unrealized_pnl": 2953.01,
"mark_price": 20000.63,
"index_price": 20001.45,
"entry_vwap": 34021.45,
"open_position_notional": 37000,
"long_open_position_notional": 37000,
"short_open_position_notional": 0,
"position_margin_override": 0.1
}
]
}Portfolios
Get portfolio details
Retrieves the summary, positions, and balances of a portfolio.
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
detail
Get portfolio details
- Java
- .NET
- Go
- Python
- TS/JS
- CLI
PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
GetPortfolioDetailRequest request = new GetPortfolioDetailRequest.Builder()
.portfolio("portfolio_id")
.build();
GetPortfolioDetailResponse response = portfoliosService.getPortfolioDetail(request);
var portfoliosService = new PortfoliosService(client);
var request = new GetPortfolioDetailsRequest(
Portfolio: "portfolio_id",
);
var response = portfoliosService.GetPortfolioDetails(request);
portfoliosSvc := portfolios.NewPortfoliosService(client)
request := &portfolios.GetPortfolioDetailsRequest{
Portfolio: "portfolio_id",
}
response, err := portfoliosSvc.GetPortfolioDetails(context.Background(), request)
client = IntxClient()
request = GetPortfolioDetailsRequest(
portfolio="portfolio_id",
)
response = client.get_portfolio_details(request)
const portfoliosService = new PortfoliosService(client);
portfoliosService.getPortfolioDetails({
portfolio: 'PORTFOLIO_ID_HERE',
}).then(async (response) => {
console.log('Portfolio Details: ', response);
})
intxctl get-portfolio-details --help
Authorizations
The Client ID that owns the API Key for the request
The pass phrase affiliated with the API Key
A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY
The timestamp of when the request is being made
Path Parameters
Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)
Was this page helpful?
⌘I